Subject: Re: Permissions on Files Created with Cygwin
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Thu, 10 Feb 2022 12:56:15 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2022-02-10 09:48, Rob Stevens wrote:
> Whenever I create files with cygwin (using whatever utilitity or editor)
> I get these permissions as reported by icacls:
>    NULL SID:(DENY)(Rc,S,X,DC)
>    MALIN\rob:(R,W,D,WDAC,WO)
>    NT AUTHORITY\SYSTEM:(DENY)(S,X)
>    BUILTIN\Administrators:(DENY)(S,X)
>    MALIN\None:(R)
>    NT AUTHORITY\SYSTEM:(RX,W)
>    BUILTIN\Administrators:(RX,W)
>    Everyone:(R)
> These permissions are not those inherited from the containing directory.
> Not that only, but the windows utilities complain the the
> permissions are mal-ordered.

That's a long time Explorer bug as it's not its preferred order.

> Is this not a bug?? Do I need a different (null?) umask in the environment?

Try running

	$ setfacl -b file...

as it sometimes reduces those ACLs to a shorter, more readable list.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple